WRITE8_HANDLER( fourplay_rombank_w );
WRITE8_HANDLER( videight_rombank_w );
WRITE8_HANDLER( videight_gfxbank_w );
void galbug_gfxbank_w (running_machine *machine, UINT8 gbank );
PALETTE_INIT( galbug );

void bagmanm2_extend_tile_info(UINT16 *code, UINT8 *color, UINT8 attrib, UINT8 x);
void bagmanm2_extend_sprite_info(const UINT8 *base, UINT8 *sx, UINT8 *sy, UINT8 *flipx, UINT8 *flipy, UINT16 *code, UINT8 *color);
void galbug_draw_bullet(running_machine *machine, bitmap_t *bitmap, const rectangle *cliprect, int offs, int x, int y);
void videight_extend_tile_info(UINT16 *code, UINT8 *color, UINT8 attrib, UINT8 x);
void videight_extend_sprite_info(const UINT8 *base, UINT8 *sx, UINT8 *sy, UINT8 *flipx, UINT8 *flipy, UINT16 *code, UINT8 *color);


